<?
include_once ("db/dbElemento.class.php");

class filtro{
	
    function filtro($tipo, $idCat, $campo, $value){
		$db= new dbElemento;
		$dados=$db->getDistinct($tipo, $idCat, $campo);
		
		?><select name="filtro[<?=$campo?>]" id="<?=$campo?>" style="width:100%" onChange='dataform.submit()'>
			<option value="">Todos</option><? 
			$max=sizeof($dados);

			for ($i=0;$i<$max; $i++){			
				$sel="";
				if ($value==$dados[$i][$campo]) $sel="selected";
				?><option value="<?=$dados[$i][$campo]?>" <?=$sel?> ><?=$dados[$i][$campo]?></option><? 
			} ?>
		</select>
		<?

	}
	
		
}
?>